Retrieve file details

Retrieve file details associated with a specific Moov account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/files.read scope.

GET
/accounts/{accountID}/files/{fileID}
cURL Go .NET Java Ruby TypeScript PHP Python
curl -X GET "https://api.moov.io/accounts/{accountID}/files/{fileID}" \
  -H "Authorization: Bearer {token}" \
  -H "x-moov-version: v2024.01.00" \
mc, _ := moov.NewClient()

var accountID string
var fileID string

mc.GetFile(ctx, accountID, fileID)
using Moov.Sdk;

var sdk = new MoovClient(xMoovVersion: "<value>");

var res = await sdk.Files.GetAsync(
    accountID: "7f888113-d35a-4536-b9bc-c55076736ab6",
    fileID: "af170db9-0d17-4a9f-ade6-5dd2f1b3412d"
);

// handle response
package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetFileDetailsResponse;
import java.lang.Exception;

public class Application {

    public static void main(String[] args) throws Exception {

        Moov sdk = Moov.builder()
                .xMoovVersion("v2024.01.00")
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

        GetFileDetailsResponse res = sdk.files().get()
                .accountID("7f888113-d35a-4536-b9bc-c55076736ab6")
                .fileID("af170db9-0d17-4a9f-ade6-5dd2f1b3412d")
                .call();

        if (res.fileDetails().isPresent()) {
            // handle response
        }
    }
}
require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
      x_moov_version: 'v2024.01.00',
    )

res = s.files.get(account_id: '7f888113-d35a-4536-b9bc-c55076736ab6', file_id: 'af170db9-0d17-4a9f-ade6-5dd2f1b3412d')

unless res.file_details.nil?
  # handle response
end
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  xMoovVersion: "v2024.01.00",
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.files.get({
    accountID: "7f888113-d35a-4536-b9bc-c55076736ab6",
    fileID: "af170db9-0d17-4a9f-ade6-5dd2f1b3412d",
  });

  console.log(result);
}

run();
declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setXMoovVersion('v2024.01.00')
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();



$response = $sdk->accounts->getFile(
    accountID: '7f888113-d35a-4536-b9bc-c55076736ab6',
    fileID: 'af170db9-0d17-4a9f-ade6-5dd2f1b3412d'

);

if ($response->fileDetails !== null) {
    // handle response
}
from moovio_sdk import Moov
from moovio_sdk.models import components


with Moov(
    x_moov_version="v2024.01.00",
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

    res = moov.files.get(account_id="7f888113-d35a-4536-b9bc-c55076736ab6", file_id="af170db9-0d17-4a9f-ade6-5dd2f1b3412d")

    # Handle response
    print(res)
200 401 403 404 429 500 504
The request completed successfully.
application/json
Describes a file linked to a Moov account.
{
  "fileID": "string",
  "fileName": "logo.png",
  "accountID": "string",
  "filePurpose": "representative_verification",
  "fileStatus": "pending",
  "metadata": "{\"error_code\": \"document-name-mismatch\", \"requirement_id\": \"document.individual.verification\", \"representative_id\": \"c63ab175-251d-497e-a267-7346d087e180\", \"comment\": \"testing comment\"",
  "decisionReason": "not correct file",
  "fileSizeBytes": 0,
  "createdOn": "2019-08-24T14:15:22Z",
  "updatedOn": "2019-08-24T14:15:22Z"
}

x-request-id

string required
A unique identifier used to trace requests.
The request contained missing or expired authentication.

x-request-id

string required
A unique identifier used to trace requests.
The user is not authorized to make the request.

x-request-id

string required
A unique identifier used to trace requests.
The requested resource was not found.

x-request-id

string required
A unique identifier used to trace requests.
Request was refused due to rate limiting.

x-request-id

string required
A unique identifier used to trace requests.
The request failed due to an unexpected error.

x-request-id

string required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.

x-request-id

string required
A unique identifier used to trace requests.

Headers

X-Moov-Version

string

Specify an API version.

API versioning follows the format vYYYY.QQ.BB, where

  • YYYY is the year
  • QQ is the two-digit month for the first month of the quarter (e.g., 01, 04, 07, 10)
  • BB is the build number, starting at .01, for subsequent builds in the same quarter.
    • For example, v2024.01.00 is the initial release of the first quarter of 2024.

The latest version represents the most recent development state. It may include breaking changes and should be treated as a beta release. When no version is specified, the API defaults to v2024.01.00.

Path parameters

accountID

string required

fileID

string required

Response

application/json
Describes a file linked to a Moov account.

accountID

string required

createdOn

string<date-time> required

fileID

string required

fileName

string <=64 characters required

filePurpose

string<enum> required
The file's purpose.
Possible values: business_verification, representative_verification, individual_verification, merchant_underwriting, account_requirement, identity_verification

fileSizeBytes

integer required

fileStatus

string<enum> required
The file's status.
Possible values: pending, approved, rejected

metadata

string<json> required

updatedOn

string<date-time> required

decisionReason

string